imagestring
imagesx
GD and Image Functions
PHP Manual

# imagestringup

Draw a string vertically

### Description

bool imagestringup ( resource `$image` , int `$font` , int `$x` , int `$y` , string `$string` , int `$color` )

Draws a `string` vertically at the given coordinates.

### Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor.

`font`

  Can be 1, 2, 3, 4, 5 for built-in fonts in latin2 encoding (where higher numbers corresponding to larger fonts) or any of your own font identifiers registered with imageloadfont.

`x`

  x-coordinate of the bottom left corner.

`y`

  y-coordinate of the bottom left corner.

`string`

  The string to be written.

`color`

  A color identifier created with imagecolorallocate.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 imagestringup example

`<?php
// create a 100*100 image
$im = imagecreatetruecolor(100, 100);
// Write the text
$textcolor = imagecolorallocate($im, 0xFF, 0xFF, 0xFF);
imagestringup($im, 3, 40, 80, 'gd library', $textcolor);
// Save the image
imagepng($im, './stringup.png');
imagedestroy($im);
?>`

The above example will output something similar to:

### See Also

- imageloadfont